﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class EndGameMenu : BaseMenu {

	public Text player1Score;
	public Text player2Score;

	public void OpenAboutMenu()
	{
		Deactivate();
		MainUIManager.instance.aboutMenu.Activate();
	}

	public void PlayGame(bool onePlayer)
	{
		Deactivate();
		MainUIManager.instance.inGameMenu.Activate();
		GameManager.instance.PlayGame(onePlayer);
	}
}
