﻿using UnityEngine;
using System.Collections;

public class SoundManager : MonoBehaviour {

	public static SoundManager Instance;
	public SoundItem SoundItemPrefab;

	void Awake()
	{
		Instance = this;
	}

	public static void PlaySFX(AudioClip audioClip, float volume)
	{
		if (audioClip)
		{
			SoundItem soundItem = Instantiate(Instance.SoundItemPrefab) as SoundItem;
			soundItem.ItemAudioSource.clip = audioClip;
			soundItem.ItemAudioSource.volume = volume;
			soundItem.ItemAudioSource.Play();
		}
	}


}
