﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Baby : MonoBehaviour {

	public AudioClip[] babyLaugh;
	public AudioClip[] babyCry;

	void OnCollisionEnter2D(Collision2D coll) {
		if (coll.gameObject.GetComponent<SplashCollider>() != null)
		{
			GameManager.instance.AddScore(coll.gameObject.GetComponent<SplashCollider>().whale.waveKey);
			SoundManager.PlaySFX(babyLaugh[Random.Range(0,babyLaugh.Length)], 0.8f);
		}
		else if (coll.gameObject.GetComponent<DeathCollider>() != null)
		{
			GameManager.instance.DecreaseLife(this);
			SoundManager.PlaySFX(babyCry[Random.Range(0,babyCry.Length)], 0.8f);
			Destroy(gameObject);
		}
	}
}
