﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MainMenu : BaseMenu {

	public void OpenAboutMenu()
	{
		Deactivate();
		MainUIManager.instance.aboutMenu.Activate();
	}

	public void PlayGame(bool onePlayer)
	{
		Deactivate();
		MainUIManager.instance.inGameMenu.Activate();
		GameManager.instance.PlayGame(onePlayer);
	}
}
