﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MainUIManager : MonoBehaviour {

	public static MainUIManager instance;

	public MainMenu mainMenu;
	public InGameMenu inGameMenu;
	public AboutMenu aboutMenu;
	public EndGameMenu endGameMenu;

	void Awake ()
	{
		instance = this;

		mainMenu.Activate();
		inGameMenu.Deactivate();
		aboutMenu.Deactivate();
		endGameMenu.Deactivate();
	}
}
